using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace WebApp01
{
	/// <summary>
	/// movieFilter KnyzC
	/// </summary>
	public class movieFilter : System.Web.UI.Page
	{
		protected System.Data.SqlClient.SqlDataAdapter sqlDataAdapter1;
		protected System.Data.SqlClient.SqlConnection sqlConnection1;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label4;		
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.TextBox TextBox2;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.DropDownList DropDownList1;
		protected System.Web.UI.WebControls.TextBox TxtTitle;
		protected System.Web.UI.WebControls.TextBox txtDesc;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Data.SqlClient.SqlDataAdapter sqlDataAdapter2;
		protected System.Data.SqlClient.SqlCommand sqlSelectCommand2;
		protected System.Data.SqlClient.SqlCommand sqlInsertCommand2;
		protected System.Data.SqlClient.SqlCommand sqlUpdateCommand2;
		protected System.Data.SqlClient.SqlCommand sqlDeleteCommand2;
		protected WebApp01.CategoryDataSet categoryDataSet1;
		
		protected System.Data.SqlClient.SqlCommand sqlSelectCommand1;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.TextBox txtAuthor;
		protected WebApp01.movieDataSetFilter movieDataSetFilter1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(this.Session["user"]==null || this.Session["user"]=="")
			{
				this.Response.Redirect("login.aspx");
			}				
			
			

			if(!this.Page.IsPostBack)
			{

				SqlConnection cnn = new System.Data.SqlClient.SqlConnection();			
				cnn.ConnectionString = "workstation id=localhost;packet size=4096;user id=vod;data source=localhost;persist sec" +
					"urity info=True;initial catalog=VOD;password=vod";
				cnn.Open();

				string sql="select * from member as b, movie as a , createrMovie as c where a.vID=c.cmMovie and c.cmUser=b.mID";		
				SqlDataAdapter adp=new SqlDataAdapter(sql,cnn);
				DataSet ds=new DataSet();
				adp.Fill(ds, "member");
				DataTable myTable=ds.Tables["member"];
				DataView dv=new DataView(myTable);		
				dv.Sort=" " + this.Label2.Text + " " + this.Label3.Text;										
				DataGrid2.DataSource=dv;			
				DataGrid2.DataBind();
				
				this.sqlDataAdapter2.Fill(this.categoryDataSet1);
				this.DropDownList1.DataBind();
				this.DropDownList1.Items.Add("All");
				this.DropDownList1.SelectedIndex=this.DropDownList1.Items.Count-1;
				
			}
			
		}

		
		public void ChangePage(object sender, DataGridPageChangedEventArgs e)
		{
			this.DataGrid2.CurrentPageIndex=e.NewPageIndex;	
			
			string strTitle=" vTitle like ", strAuthor=" mName like ", strKey=" vDescription like ", strCat=" vCategory=", strAll="";
			
			if(this.TxtTitle.Text!="")
			{
				strAll+= strTitle + "'%" + this.TxtTitle.Text + "%'";
			}
		
			if(this.txtDesc.Text!="")
			{
				if(strAll!="") strAll+=" and ";
				strAll+= strKey+"'%" + this.txtDesc.Text + "%'";
			}

			if(this.txtAuthor.Text!="")
			{
				if(strAll!="") strAll+=" and ";
				strAll+= strAuthor + "'%" + this.txtAuthor.Text + "%'";
			}

			if(this.DropDownList1.SelectedItem.Text!="All")
			{
				if(strAll!="") strAll+=" and ";
				strAll+= strCat + "'" + this.DropDownList1.SelectedItem.Text + "'";
			}
			
			
			
			SqlConnection cnn = new System.Data.SqlClient.SqlConnection();			
			cnn.ConnectionString = "workstation id=localhost;packet size=4096;user id=vod;data source=localhost;persist sec" +
				"urity info=True;initial catalog=VOD;password=vod";
			cnn.Open();

			string sql="select * from member as b, movie as a , createrMovie as c where a.vID=c.cmMovie and c.cmUser=b.mID";		
			SqlDataAdapter adp=new SqlDataAdapter(sql,cnn);
			DataSet ds=new DataSet();
			adp.Fill(ds, "member");
			DataTable myTable=ds.Tables["member"];
			DataView dv=new DataView(myTable);												
			dv.RowFilter=strAll;
			dv.Sort=" " + this.Label2.Text + " " + this.Label3.Text;
			DataGrid2.DataSource=dv;			
			DataGrid2.DataBind();
	
		}

		public void mySort(object sender, DataGridSortCommandEventArgs e)
		{
			
			string sorttype="", sortfield="";
			
			sortfield=this.Label2.Text;
			sorttype=this.Label3.Text;
			
			

			if( sortfield==e.SortExpression)
			{
				if(sorttype=="")
				{
					sorttype="desc";
				}
				else
				{
					sorttype="";
				}
			}
			else
			{
				sortfield=e.SortExpression;				
				sorttype="";
			}
					
			string strTitle=" vTitle like ", strAuthor=" mName like ", strKey=" vDescription like ", strCat=" vCategory=", strAll="";
			
			if(this.TxtTitle.Text!="")
			{
				strAll+= strTitle + "'%" + this.TxtTitle.Text + "%'";
			}
		
			if(this.txtDesc.Text!="")
			{
				if(strAll!="") strAll+=" and ";
				strAll+= strKey+"'%" + this.txtDesc.Text + "%'";
			}

			if(this.txtAuthor.Text!="")
			{
				if(strAll!="") strAll+=" and ";
				strAll+= strAuthor + "'%" + this.txtAuthor.Text + "%'";
			}

			if(this.DropDownList1.SelectedItem.Text!="All")
			{
				if(strAll!="") strAll+=" and ";
				strAll+= strCat + "'" + this.DropDownList1.SelectedItem.Text + "'";
			}
			
			
			
			SqlConnection cnn = new System.Data.SqlClient.SqlConnection();			
			cnn.ConnectionString = "workstation id=localhost;packet size=4096;user id=vod;data source=localhost;persist sec" +
				"urity info=True;initial catalog=VOD;password=vod";
			cnn.Open();

			string sql="select * from member as b, movie as a , createrMovie as c where a.vID=c.cmMovie and c.cmUser=b.mID";		
			SqlDataAdapter adp=new SqlDataAdapter(sql,cnn);
			DataSet ds=new DataSet();
			adp.Fill(ds, "member");
			DataTable myTable=ds.Tables["member"];
			DataView dv=new DataView(myTable);												
			dv.RowFilter=strAll;
			dv.Sort=" " + e.SortExpression + " " + sorttype;
			DataGrid2.DataSource=dv;			
			DataGrid2.DataBind();

			Label2.Text=sortfield.ToString();
			this.Label3.Text=sorttype.ToString();

			this.Label4.Text="ƦCG"+e.SortExpression + " " + sorttype;
			
			
		}
	

		#region Web Form ]pu㲣ͪ{X
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN:  ASP.NET Web Form ]puһݪIsC
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// ]pu䴩ҥk - ФŨϥε{Xs边ק
		/// oӤkeC
		/// </summary>
		private void InitializeComponent()
		{    
			this.sqlDataAdapter1 = new System.Data.SqlClient.SqlDataAdapter();
			this.sqlSelectCommand1 = new System.Data.SqlClient.SqlCommand();
			this.sqlConnection1 = new System.Data.SqlClient.SqlConnection();
			this.sqlDataAdapter2 = new System.Data.SqlClient.SqlDataAdapter();
			this.sqlDeleteCommand2 = new System.Data.SqlClient.SqlCommand();
			this.sqlInsertCommand2 = new System.Data.SqlClient.SqlCommand();
			this.sqlSelectCommand2 = new System.Data.SqlClient.SqlCommand();
			this.sqlUpdateCommand2 = new System.Data.SqlClient.SqlCommand();
			this.categoryDataSet1 = new WebApp01.CategoryDataSet();
			this.movieDataSetFilter1 = new WebApp01.movieDataSetFilter();
			((System.ComponentModel.ISupportInitialize)(this.categoryDataSet1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.movieDataSetFilter1)).BeginInit();
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			// 
			// sqlDataAdapter1
			// 
			this.sqlDataAdapter1.SelectCommand = this.sqlSelectCommand1;
			this.sqlDataAdapter1.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																									  new System.Data.Common.DataTableMapping("Table", "Member", new System.Data.Common.DataColumnMapping[] {
																																																				new System.Data.Common.DataColumnMapping("mID", "mID"),
																																																				new System.Data.Common.DataColumnMapping("mName", "mName"),
																																																				new System.Data.Common.DataColumnMapping("mPassword", "mPassword"),
																																																				new System.Data.Common.DataColumnMapping("mEmail", "mEmail"),
																																																				new System.Data.Common.DataColumnMapping("mBirthDay", "mBirthDay"),
																																																				new System.Data.Common.DataColumnMapping("mAddress", "mAddress"),
																																																				new System.Data.Common.DataColumnMapping("mCreater", "mCreater"),
																																																				new System.Data.Common.DataColumnMapping("mActor", "mActor"),
																																																				new System.Data.Common.DataColumnMapping("vID", "vID"),
																																																				new System.Data.Common.DataColumnMapping("vCategory", "vCategory"),
																																																				new System.Data.Common.DataColumnMapping("vTitle", "vTitle"),
																																																				new System.Data.Common.DataColumnMapping("vSize", "vSize"),
																																																				new System.Data.Common.DataColumnMapping("vLength", "vLength"),
																																																				new System.Data.Common.DataColumnMapping("vDescription", "vDescription"),
																																																				new System.Data.Common.DataColumnMapping("vLocation", "vLocation"),
																																																				new System.Data.Common.DataColumnMapping("vDateTime", "vDateTime"),
																																																				new System.Data.Common.DataColumnMapping("vDiskLocation", "vDiskLocation"),
																																																				new System.Data.Common.DataColumnMapping("vUrlLocation", "vUrlLocation")})});
			// 
			// sqlSelectCommand1
			// 
			this.sqlSelectCommand1.CommandText = @"SELECT dbo.Member.mID, dbo.Member.mName, dbo.Member.mPassword, dbo.Member.mEmail, dbo.Member.mBirthDay, dbo.Member.mAddress, dbo.Member.mCreater, dbo.Member.mActor, dbo.Movie.vID, dbo.Movie.vCategory, dbo.Movie.vTitle, dbo.Movie.vSize, dbo.Movie.vLength, dbo.Movie.vDescription, dbo.Movie.vLocation, dbo.Movie.vDateTime, dbo.Movie.vDiskLocation, dbo.Movie.vUrlLocation FROM dbo.Member INNER JOIN dbo.CreaterMovie ON dbo.Member.mID = dbo.CreaterMovie.cmUser INNER JOIN dbo.Movie ON dbo.CreaterMovie.cmMovie = dbo.Movie.vID";
			this.sqlSelectCommand1.Connection = this.sqlConnection1;
			// 
			// sqlConnection1
			// 
			this.sqlConnection1.ConnectionString = "workstation id=DAY;packet size=4096;user id=vod;data source=\"127.0.0.1\";persist s" +
				"ecurity info=True;initial catalog=VOD;password=vod";
			// 
			// sqlDataAdapter2
			// 
			this.sqlDataAdapter2.DeleteCommand = this.sqlDeleteCommand2;
			this.sqlDataAdapter2.InsertCommand = this.sqlInsertCommand2;
			this.sqlDataAdapter2.SelectCommand = this.sqlSelectCommand2;
			this.sqlDataAdapter2.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																									  new System.Data.Common.DataTableMapping("Table", "Category", new System.Data.Common.DataColumnMapping[] {
																																																				  new System.Data.Common.DataColumnMapping("ctName", "ctName"),
																																																				  new System.Data.Common.DataColumnMapping("ctDescription", "ctDescription"),
																																																				  new System.Data.Common.DataColumnMapping("ctSuperCategory", "ctSuperCategory")})});
			this.sqlDataAdapter2.UpdateCommand = this.sqlUpdateCommand2;
			// 
			// sqlDeleteCommand2
			// 
			this.sqlDeleteCommand2.CommandText = @"DELETE FROM dbo.Category WHERE (ctName = @Original_ctName) AND (ctDescription = @Original_ctDescription OR @Original_ctDescription IS NULL AND ctDescription IS NULL) AND (ctSuperCategory = @Original_ctSuperCategory OR @Original_ctSuperCategory IS NULL AND ctSuperCategory IS NULL)";
			this.sqlDeleteCommand2.Connection = this.sqlConnection1;
			this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ctName", System.Data.SqlDbType.VarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ctName", System.Data.DataRowVersion.Original, null));
			this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ctDescription", System.Data.SqlDbType.VarChar, 200, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ctDescription", System.Data.DataRowVersion.Original, null));
			this.sqlDeleteCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ctSuperCategory", System.Data.SqlDbType.VarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ctSuperCategory", System.Data.DataRowVersion.Original, null));
			// 
			// sqlInsertCommand2
			// 
			this.sqlInsertCommand2.CommandText = "INSERT INTO dbo.Category(ctName, ctDescription, ctSuperCategory) VALUES (@ctName," +
				" @ctDescription, @ctSuperCategory); SELECT ctName, ctDescription, ctSuperCategor" +
				"y FROM dbo.Category WHERE (ctName = @ctName)";
			this.sqlInsertCommand2.Connection = this.sqlConnection1;
			this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ctName", System.Data.SqlDbType.VarChar, 50, "ctName"));
			this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ctDescription", System.Data.SqlDbType.VarChar, 200, "ctDescription"));
			this.sqlInsertCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ctSuperCategory", System.Data.SqlDbType.VarChar, 50, "ctSuperCategory"));
			// 
			// sqlSelectCommand2
			// 
			this.sqlSelectCommand2.CommandText = "SELECT ctName, ctDescription, ctSuperCategory FROM dbo.Category";
			this.sqlSelectCommand2.Connection = this.sqlConnection1;
			// 
			// sqlUpdateCommand2
			// 
			this.sqlUpdateCommand2.CommandText = @"UPDATE dbo.Category SET ctName = @ctName, ctDescription = @ctDescription, ctSuperCategory = @ctSuperCategory WHERE (ctName = @Original_ctName) AND (ctDescription = @Original_ctDescription OR @Original_ctDescription IS NULL AND ctDescription IS NULL) AND (ctSuperCategory = @Original_ctSuperCategory OR @Original_ctSuperCategory IS NULL AND ctSuperCategory IS NULL); SELECT ctName, ctDescription, ctSuperCategory FROM dbo.Category WHERE (ctName = @ctName)";
			this.sqlUpdateCommand2.Connection = this.sqlConnection1;
			this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ctName", System.Data.SqlDbType.VarChar, 50, "ctName"));
			this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ctDescription", System.Data.SqlDbType.VarChar, 200, "ctDescription"));
			this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ctSuperCategory", System.Data.SqlDbType.VarChar, 50, "ctSuperCategory"));
			this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ctName", System.Data.SqlDbType.VarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ctName", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ctDescription", System.Data.SqlDbType.VarChar, 200, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ctDescription", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand2.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_ctSuperCategory", System.Data.SqlDbType.VarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "ctSuperCategory", System.Data.DataRowVersion.Original, null));
			// 
			// categoryDataSet1
			// 
			this.categoryDataSet1.DataSetName = "CategoryDataSet";
			this.categoryDataSet1.Locale = new System.Globalization.CultureInfo("zh-TW");
			// 
			// movieDataSetFilter1
			// 
			this.movieDataSetFilter1.DataSetName = "movieDataSetFilter";
			this.movieDataSetFilter1.Locale = new System.Globalization.CultureInfo("zh-TW");
			this.Load += new System.EventHandler(this.Page_Load);
			((System.ComponentModel.ISupportInitialize)(this.categoryDataSet1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.movieDataSetFilter1)).EndInit();

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
			string strTitle=" vTitle like ", strAuthor=" mName like ", strKey=" vDescription like ", strCat=" vCategory=", strAll="";
			
			if(this.TxtTitle.Text!="")
			{
				strAll+= strTitle + "'%" + this.TxtTitle.Text + "%'";
			}
		
			if(this.txtDesc.Text!="")
			{
				if(strAll!="") strAll+=" and ";
				strAll+= strKey+"'%" + this.txtDesc.Text + "%'";
			}

			if(this.txtAuthor.Text!="")
			{
				if(strAll!="") strAll+=" and ";
				strAll+= strAuthor + "'%" + this.txtAuthor.Text + "%'";
			}

			if(this.DropDownList1.SelectedItem.Text!="All")
			{
				if(strAll!="") strAll+=" and ";
				strAll+= strCat + "'" + this.DropDownList1.SelectedItem.Text + "'";
			}

			
			SqlConnection cnn = new System.Data.SqlClient.SqlConnection();			
			cnn.ConnectionString = "workstation id=localhost;packet size=4096;user id=vod;data source=localhost;persist sec" +
				"urity info=True;initial catalog=VOD;password=vod";
			cnn.Open();

			string sql="select * from member as b, movie as a , createrMovie as c where a.vID=c.cmMovie and c.cmUser=b.mID";		
			SqlDataAdapter adp=new SqlDataAdapter(sql,cnn);
			DataSet ds=new DataSet();
			adp.Fill(ds, "member");
			DataTable myTable=ds.Tables["member"];
			DataView dv=new DataView(myTable);												
			dv.RowFilter=strAll;
			DataGrid2.DataSource=dv;			
			DataGrid2.DataBind();
			
			this.Label4.Text="z]wjMG"+strAll;			
		}
	}
}
